package com.seer.teach.teacher.common.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-10-16 17:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class ReadingStatusDTO {

    private Integer type;

    private Integer chapterId;

    // true 读完了 false 没读完
    private Boolean bookPlayState;

    private Boolean isEnd;

    public static ReadingStatusDTO smartRead(Integer chapterId) {
        return new ReadingStatusDTO(5, chapterId, false,false);
    }

    public static ReadingStatusDTO readTreasuryBox(Integer articleId) {
        return new ReadingStatusDTO(6, articleId, false,false);
    }

}
